Package xg.protocol.messages

# Class ProtocolPrivMessages.protocolPrivAck.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivAck.Builder>
xg.protocol.messages.ProtocolPrivMessages.protocolPrivAck.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`, `ProtocolPrivMessages.protocolPrivAckOrBuilder`

Enclosing class:
  ProtocolPrivMessages.protocolPrivAck

public static final class ProtocolPrivMessages.protocolPrivAck.Builder extends GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivAck.Builder> implements ProtocolPrivMessages.protocolPrivAckOrBuilder

     A generic 'ack' message returned for most priv messages

Protobuf type `xg.protocol.messages.protocolPrivAck`

## Method Summary

Modifier and Type
Method
Description
`ProtocolPrivMessages.protocolPrivAck`
`build()`
Constructs the message based on the state of the Builder.
`ProtocolPrivMessages.protocolPrivAck`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ProtocolPrivMessages.protocolPrivAck.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ProtocolPrivMessages.protocolPrivAck.Builder`
`clearAccepted()`
When true, the message was accepted and the action was completed.
`ProtocolPrivMessages.protocolPrivAck.Builder`
`clearDenialReason()`
The denial reason, if any
`ProtocolPrivMessages.protocolPrivAck.Builder`
`clearSupportedVersion()`
If denial reason is UNHANDLEABLE_VERSION or UNSUPPORTED_PROTOCOL_VERSION, this field indicates the version the receiver would accept
`boolean`
`getAccepted()`
When true, the message was accepted and the action was completed.
`ProtocolPrivMessages.protocolPrivAck`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`ProtocolPrivMessages.protocolPrivAck.denialReason`
`getDenialReason()`
The denial reason, if any
`int`
`getDenialReasonValue()`
The denial reason, if any
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`int`
`getSupportedVersion()`
If denial reason is UNHANDLEABLE_VERSION or UNSUPPORTED_PROTOCOL_VERSION, this field indicates the version the receiver would accept
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ProtocolPrivMessages.protocolPrivAck.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ProtocolPrivMessages.protocolPrivAck.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ProtocolPrivMessages.protocolPrivAck.Builder`
`mergeFrom(ProtocolPrivMessages.protocolPrivAck other)`
`final ProtocolPrivMessages.protocolPrivAck.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ProtocolPrivMessages.protocolPrivAck.Builder`
`setAccepted(boolean value)`
When true, the message was accepted and the action was completed.
`ProtocolPrivMessages.protocolPrivAck.Builder`
`setDenialReason(ProtocolPrivMessages.protocolPrivAck.denialReason value)`
The denial reason, if any
`ProtocolPrivMessages.protocolPrivAck.Builder`
`setDenialReasonValue(int value)`
The denial reason, if any
`ProtocolPrivMessages.protocolPrivAck.Builder`
`setSupportedVersion(int value)`
If denial reason is UNHANDLEABLE_VERSION or UNSUPPORTED_PROTOCOL_VERSION, this field indicates the version the receiver would accept
`final ProtocolPrivMessages.protocolPrivAck.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivAck.Builder>`

### clear

public ProtocolPrivMessages.protocolPrivAck.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivAck.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivAck.Builder>`

### getDefaultInstanceForType

public ProtocolPrivMessages.protocolPrivAck getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ProtocolPrivMessages.protocolPrivAck build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ProtocolPrivMessages.protocolPrivAck buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ProtocolPrivMessages.protocolPrivAck.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ProtocolPrivMessages.protocolPrivAck.Builder>`

### mergeFrom

public ProtocolPrivMessages.protocolPrivAck.Builder mergeFrom(ProtocolPrivMessages.protocolPrivAck other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivAck.Builder>`

### mergeFrom

public ProtocolPrivMessages.protocolPrivAck.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ProtocolPrivMessages.protocolPrivAck.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getAccepted

public boolean getAccepted()

     When true, the message was accepted and the action was completed. When false, the denial reason is specified.

`bool accepted = 1;`

Specified by:
  `getAccepted` in interface `ProtocolPrivMessages.protocolPrivAckOrBuilder`
Returns:
  The accepted.

### setAccepted

public ProtocolPrivMessages.protocolPrivAck.Builder setAccepted(boolean value)

     When true, the message was accepted and the action was completed. When false, the denial reason is specified.

`bool accepted = 1;`

Parameters:
  `value` - The accepted to set.
Returns:
  This builder for chaining.

### clearAccepted

public ProtocolPrivMessages.protocolPrivAck.Builder clearAccepted()

     When true, the message was accepted and the action was completed. When false, the denial reason is specified.

`bool accepted = 1;`

Returns:
  This builder for chaining.

### getDenialReasonValue

public int getDenialReasonValue()

     The denial reason, if any

`.xg.protocol.messages.protocolPrivAck.denialReason denial_reason = 2;`

Specified by:
  `getDenialReasonValue` in interface `ProtocolPrivMessages.protocolPrivAckOrBuilder`
Returns:
  The enum numeric value on the wire for denialReason.

### setDenialReasonValue

public ProtocolPrivMessages.protocolPrivAck.Builder setDenialReasonValue(int value)

     The denial reason, if any

`.xg.protocol.messages.protocolPrivAck.denialReason denial_reason = 2;`

Parameters:
  `value` - The enum numeric value on the wire for denialReason to set.
Returns:
  This builder for chaining.

### getDenialReason

public ProtocolPrivMessages.protocolPrivAck.denialReason getDenialReason()

     The denial reason, if any

`.xg.protocol.messages.protocolPrivAck.denialReason denial_reason = 2;`

Specified by:
  `getDenialReason` in interface `ProtocolPrivMessages.protocolPrivAckOrBuilder`
Returns:
  The denialReason.

### setDenialReason

public ProtocolPrivMessages.protocolPrivAck.Builder setDenialReason(ProtocolPrivMessages.protocolPrivAck.denialReason value)

     The denial reason, if any

`.xg.protocol.messages.protocolPrivAck.denialReason denial_reason = 2;`

Parameters:
  `value` - The denialReason to set.
Returns:
  This builder for chaining.

### clearDenialReason

public ProtocolPrivMessages.protocolPrivAck.Builder clearDenialReason()

     The denial reason, if any

`.xg.protocol.messages.protocolPrivAck.denialReason denial_reason = 2;`

Returns:
  This builder for chaining.

### getSupportedVersion

public int getSupportedVersion()

     If denial reason is UNHANDLEABLE_VERSION or UNSUPPORTED_PROTOCOL_VERSION, this field indicates the version the receiver would accept

`uint32 supported_version = 3;`

Specified by:
  `getSupportedVersion` in interface `ProtocolPrivMessages.protocolPrivAckOrBuilder`
Returns:
  The supportedVersion.

### setSupportedVersion

public ProtocolPrivMessages.protocolPrivAck.Builder setSupportedVersion(int value)

     If denial reason is UNHANDLEABLE_VERSION or UNSUPPORTED_PROTOCOL_VERSION, this field indicates the version the receiver would accept

`uint32 supported_version = 3;`

Parameters:
  `value` - The supportedVersion to set.
Returns:
  This builder for chaining.

### clearSupportedVersion

public ProtocolPrivMessages.protocolPrivAck.Builder clearSupportedVersion()

     If denial reason is UNHANDLEABLE_VERSION or UNSUPPORTED_PROTOCOL_VERSION, this field indicates the version the receiver would accept

`uint32 supported_version = 3;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ProtocolPrivMessages.protocolPrivAck.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivAck.Builder>`

### mergeUnknownFields

public final ProtocolPrivMessages.protocolPrivAck.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivAck.Builder>`